Package org.apache.struts2.dispatcher.filter

# Class StrutsExecuteFilter

java.lang.Object
org.apache.struts2.dispatcher.filter.StrutsExecuteFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `StrutsStatics`

public class StrutsExecuteFilter extends Object implements StrutsStatics, jakarta.servlet.Filter
Executes the discovered request information. This filter requires the `StrutsPrepareFilter` to have already been executed in the current chain.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ExecuteOperations`
  `execute`
  `protected jakarta.servlet.FilterConfig`
  `filterConfig`
  `protected PrepareOperations`
  `prepare`

  ### Fields inherited from interface org.apache.struts2.StrutsStatics

  `ACTION_MAPPING, HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsExecuteFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ExecuteOperations`
  `createExecuteOperations(Dispatcher dispatcher)`
  Creates a new instance of `ExecuteOperations` to be used during initialising `Dispatcher`
  `protected InitOperations`
  `createInitOperations()`
  Creates a new instance of `InitOperations` to be used during initialising `Dispatcher`
  `protected PrepareOperations`
  `createPrepareOperations(Dispatcher dispatcher)`
  Creates a new instance of `PrepareOperations` to be used during initialising `Dispatcher`
  `void`
  `destroy()`
  `void`
  `doFilter(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res, jakarta.servlet.FilterChain chain)`
  `void`
  `init(jakarta.servlet.FilterConfig filterConfig)`
  `protected void`
  `lazyInit()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prepare

    protected PrepareOperations prepare

  - ### execute

    protected ExecuteOperations execute

  - ### filterConfig

    protected jakarta.servlet.FilterConfig filterConfig

- ## Constructor Details

  - ### StrutsExecuteFilter

    public StrutsExecuteFilter()

- ## Method Details

  - ### init

    public void init(jakarta.servlet.FilterConfig filterConfig) throws jakarta.servlet.ServletException
    Specified by:
      `init` in interface `jakarta.servlet.Filter`
    Throws:
      `jakarta.servlet.ServletException`

  - ### lazyInit

    protected void lazyInit()

  - ### createInitOperations

    protected InitOperations createInitOperations()
    Creates a new instance of `InitOperations` to be used during initialising `Dispatcher`
    Returns:
      instance of `InitOperations`

  - ### createPrepareOperations

    protected PrepareOperations createPrepareOperations(Dispatcher dispatcher)
    Creates a new instance of `PrepareOperations` to be used during initialising `Dispatcher`
    Returns:
      instance of `PrepareOperations`

  - ### createExecuteOperations

    protected ExecuteOperations createExecuteOperations(Dispatcher dispatcher)
    Creates a new instance of `ExecuteOperations` to be used during initialising `Dispatcher`
    Returns:
      instance of `ExecuteOperations`

  - ### doFilter

    public void doFilter(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Specified by:
      `doFilter` in interface `jakarta.servlet.Filter`
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `jakarta.servlet.Filter`